from odoo import models, fields


class EncoachSubject(models.Model):
    _name = 'encoach.subject'
    _description = 'Taxonomy Subject'
    _order = 'sequence, name'

    name = fields.Char(required=True, index=True)
    code = fields.Char(size=20, index=True)
    description = fields.Text()
    sequence = fields.Integer(default=10)
    active = fields.Boolean(default=True)
    domain_ids = fields.One2many('encoach.domain', 'subject_id', string='Domains')

    def to_api_dict(self):
        self.ensure_one()
        return {
            'id': self.id,
            'name': self.name,
            'code': self.code or '',
            'description': self.description or '',
            'active': self.active,
        }
